gr::fosphor::glfw_sink_c Class Reference
Fosphor

GLFW version of fosphor sink. More...

`#include <glfw_sink_c.h>`

Inheritance diagram for gr::fosphor::glfw_sink_c:
[legend]

## Public Types

typedef boost::shared_ptr< glfw_sink_c > | sptr
Public Types inherited from gr::fosphor::base_sink_c
enum | ui_action_t { DB_PER_DIV_UP , DB_PER_DIV_DOWN , REF_UP , REF_DOWN , ZOOM_TOGGLE , ZOOM_WIDTH_UP , ZOOM_WIDTH_DOWN , ZOOM_CENTER_UP , ZOOM_CENTER_DOWN , RATIO_UP , RATIO_DOWN , FREEZE_TOGGLE }

## Static Public Member Functions

static sptr | make ()
| Return a shared_ptr to a new instance of fosphor::glfw_sink_c. More...

## Additional Inherited Members

Public Member Functions inherited from gr::fosphor::base_sink_c
virtual void | execute_ui_action (enum ui_action_t action)=0
virtual void | set_frequency_range (const double center, const double span)=0
virtual void | set_frequency_center (const double center)=0
virtual void | set_frequency_span (const double span)=0
virtual void | set_fft_window (const gr::fft::window::win_type win)=0
Protected Member Functions inherited from gr::fosphor::base_sink_c
| base_sink_c (const char *name=NULL)

## Detailed Description

GLFW version of fosphor sink.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<glfw_sink_c> gr::fosphor::glfw_sink_c::sptr

## Member Function Documentation

## make()

static sptr gr::fosphor::glfw_sink_c::make | ( |  | ) |

static

Return a shared_ptr to a new instance of fosphor::glfw_sink_c.

To avoid accidental use of raw pointers, fosphor::glfw_sink_c's constructor is in a private implementation class. fosphor::glfw_sink_c::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- glfw_sink_c.h